> ## Documentation Index
> Fetch the complete documentation index at: https://docs.overflow.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Tap Group

> Returns a single tap group by ID.



## OpenAPI

````yaml https://server.stage.overflow.co/api/docs/openapi.json get /api/v3/tap/groups/{groupId}
openapi: 3.0.0
info:
  title: Overflow Open API
  description: |

    The documentation for the Overflow Open APIs.

    To access the OpenAPI spec in JSON/YAML format, navigate to:

    * `/api/docs/openapi.json`
    * `/api/docs/openapi.yaml`
  version: '3.0'
  contact: {}
servers:
  - url: https://server.stage.overflow.co
    description: API server
security: []
tags: []
paths:
  /api/v3/tap/groups/{groupId}:
    get:
      tags:
        - Tap
      summary: Get Tap Group
      description: Returns a single tap group by ID.
      operationId: OpenApiTapGroupsController_getGroupById
      parameters:
        - name: groupId
          required: true
          in: path
          description: The ID of the tap group.
          schema:
            example: 6710f34fd5061afeec3eab58
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetTapGroupByIdResponse'
        '404':
          description: Group not found.
      security:
        - ClientId: []
          ApiKey: []
components:
  schemas:
    GetTapGroupByIdResponse:
      type: object
      properties:
        data:
          type: object
          properties:
            id:
              type: string
              description: Group ID
              example: 6710f34fd5061afeec3eab58
            name:
              type: string
              description: Group name
              example: Sunday Service Group
            destinationId:
              type: string
              description: ID of the assigned destination
              example: 6710f34fd5061afeec3eab57
            destination:
              type: object
              properties:
                id:
                  type: string
                  description: Destination ID
                  example: 6710f34fd5061afeec3eab57
                name:
                  type: string
                  description: Destination name
                  example: Main Giving Page
                type:
                  type: string
                  enum:
                    - web
                    - sms
                  nullable: true
                  description: Destination type
                  example: web
                url:
                  type: string
                  nullable: true
                  description: Redirect URL for web destinations
                  example: https://example.com/give
                textNumber:
                  type: string
                  nullable: true
                  description: Phone number for SMS destinations
                  example: null
                textContent:
                  type: string
                  nullable: true
                  description: SMS message body
                  example: null
              required:
                - id
                - name
                - type
                - url
                - textNumber
                - textContent
              nullable: true
              description: Embedded destination info
            deviceIds:
              type: array
              items:
                type: string
              nullable: true
              description: IDs of devices assigned to this group
              example:
                - 6710f34fd5061afeec3eab59
            createdAt:
              type: string
              format: date-time
              description: Record creation timestamp
              example: '2026-05-01T17:22:11.421Z'
            updatedAt:
              type: string
              format: date-time
              description: Record last updated timestamp
              example: '2026-05-04T14:09:32.145Z'
            archivedAt:
              type: string
              format: date-time
              nullable: true
              description: Archive timestamp, null if active
          required:
            - id
            - name
            - destinationId
            - destination
            - deviceIds
            - createdAt
            - updatedAt
            - archivedAt
          description: Tap group for the given id.
      required:
        - data
  securitySchemes:
    ClientId:
      type: apiKey
      in: header
      name: x-client-id
      description: Client ID for API authentication
    ApiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: API Key for API authentication

````